import { stringify } from 'qs';
import { request } from 'umi';
import webpath from '@/utils/webPath';


export async function deleteByPrimaryKeyForBjSsbj(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/bjssbj/delete?${stringify(params)}`);
}


export async function selectByPrimaryKeyForBjSsbj(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/bjssbj/get?${stringify(params)}`);
}


export async function insertForBjSsbj(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/bjssbj/insert`, {
        method: 'POST',
        data: {
            ...params,
            method: 'insert',
        },
    });
}


export async function updateForBjSsbj(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/bjssbj/update`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}


export async function deleteByMapForBjSsbj(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/bjssbj/deleteByMap`, {
        method: 'POST',
        data: {
            ...params,
            method: 'delete',
        },
    });
}


export async function updateByMapForBjSsbj(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/bjssbj/updateByMap`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}


export async function getOneForBjSsbj(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/bjssbj/getOne`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}



export async function getAllForBjSsbj(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/bjssbj/getAll`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}


export async function queryPageForBjSsbj(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/bjssbj/queryPage`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}


export async function countForBjSsbj(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/bjssbj/count`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}

export async function insertBatchForBjSsbj(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/bjssbj/insertBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'insert',
        },
    });
}


export async function deleteBatchForBjSsbj(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/bjssbj/deleteBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'delete',
        },
    });
}


export async function updateBatchForBjSsbj(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/bjssbj/updateBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}